package com.younike.member.common.security.impl;


import com.younike.member.common.security.IAuthService;
import com.younike.common.redis.RedisUtils;
import com.younike.common.utils.JWTUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 会员权限设置
 **/
@Service
public class AuthServiceImpl implements IAuthService {

    @Autowired
    private RedisUtils redisUtils;

    /**
     * 身份认证信息保存
     * @throws Exception
     * @return
     */
    @Override
    public String setAuthInfo(String userId) {
        // 取得token并保存
        String token = null;
        // 取得签名用的公钥并保存

        token = JWTUtils.createToken(userId);
        // token 永不过期

        return token;
    }

    @Override
    public void removeAuthInfo(String userId) {

    }
}
