package com.younike.common.annotation;

import org.springframework.core.annotation.AliasFor;
import org.springframework.stereotype.Component;

import java.lang.annotation.*;

/**
 * @Description: 协调器注解
 * @Author: oldma
 * @Date: 2021-7-16 09:46:42
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Component
public @interface Presenter {
	@AliasFor(
			annotation = Component.class
	)
	String value() default "";
}
