package com.younike.service.dto.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 下拉options
 * @author Another
 * @date 2021/12/21 14:10
 */
@Data
public class SelectOptions implements Serializable {

    /**
     * 实际值
     */
    @ApiModelProperty("实际值")
    private String value;

    /**
     * 显示值
     */
    @ApiModelProperty("显示值")
    private String label;

    public SelectOptions() {
    }

    public SelectOptions(String value, String label) {
        this.value = value;
        this.label = label;
    }
}
