package com.younike.service.dto.system;

import lombok.Data;

import java.io.Serializable;


/**
 * Quartz定时任务 dto
 * 2021-7-27 Another
 */
@Data
public class QuartzDto implements Serializable {

    /* job路径全名 */
    private String jobClassName;

    /* 描述 */
    private String description;

    /* 任务状态 */
    private String triggerState;

    /* 任务状态名称 */
    private String triggerStateName;

    /* 上次执行时间 */
    private String prevFireTime;

    /* 下次执行时间 */
    private String nextFireTime;

    /* Cron表达式 */
    private String cronExpression;

}
