package com.younike.service.params.system;


import com.younike.common.core.domain.BaseEntity;
import lombok.Data;


/**
 * 定时任务vo
 * 2021-7-27 Another
 */
@Data
public class QuartzParam extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /* 文件名称（全名，例如：com.younike.admin.task.CloseShopTask） */
    private String jobClassName;

    /* 任务描述 */
    private String description;

    /* Cron表达式（例如：“0 0 1 * * ?”） */
    private String cronExpression;

}
