package com.younike.service.pojo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 定时任务日志
 * 2021-9-10 Another
 */
@Data
public class TaskLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /* id */
    private Integer taskId;

    /* 定时任务文件名称 */
    private String taskFileName;

    /* 定时任务名称 */
    private String taskName;

    /* 执行时间 */
    private Date executionTime;

    /* 是否成功（1是0否） */
    private Integer isSuccess;

    /* 备注 */
    private String remark;

}
