package com.younike.service.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.younike.common.core.page.PageParam;
import com.younike.service.dto.system.QuartzDto;
import com.younike.service.params.system.QuartzParam;
import com.younike.service.service.ISysQuartzService;
import com.younike.service.mapper.SysQuartzMapper;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 用户 业务层处理
 */
@Service
public class SysQuartzServiceImpl implements ISysQuartzService {

    @Resource
    private SysQuartzMapper sysQuartzMapper;


    /**
     * 2021-7-27 Another quartz定时任务分页
     * @param quartzParam
     * @return
     */
    @Override
    public Page<QuartzDto> getList(PageParam<QuartzParam> quartzParam) {
        return sysQuartzMapper.getList(quartzParam, quartzParam.getParam());
    }

    /**
     * 2021-7-27 Another 根据 文件全路径 查询
     * @param jobClassName
     * @return
     */
    @Override
    public QuartzParam findByJobClassName(String jobClassName) {
        return sysQuartzMapper.findByJobClassName(jobClassName);
    }

}
